Incident (Template)
4 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| getNotificationTemplate | GET | Get abnormal notification template info |
| modifyNotificationTemplate | PATCH | Set abnormal notification template info |
| getAnomalyEventSettingForSiteTemlate | GET | Get site template anomaly event setting |
| modifyAnomalyEventSettingForSiteTemplate | PATCH | Modify site template anomaly event setting |
getNotificationTemplate
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/anomaly/notification
Get abnormal notification template info
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
// omada_call_operation
{
"operationId": "getNotificationTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Get abnormal notification template info.
The interface requires one of the permissions:
Global Site Template Manager View Only
modifyNotificationTemplate
PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/anomaly/notification
Set abnormal notification template info
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
Request body — application/json (required) — schema SetNotificationOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
alertEmailSetting | AlertEmailSettingVO | yes | (AlertEmailSettingVO not expanded; call omada_get_schema "AlertEmailSettingVO") |
email | NotificationConfigurationOpenApiVO | yes | (NotificationConfigurationOpenApiVO not expanded; call omada_get_schema "NotificationConfigurationOpenApiVO") |
// omada_call_operation
{
"operationId": "modifyNotificationTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Set abnormal notification template info.
The interface requires one of the permissions:
Global Site Template Manager Modify
getAnomalyEventSettingForSiteTemlate
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/anomaly/setting
Get site template anomaly event setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000.(value:10,15,20,30,50,100) (default 100) |
filters.enable | query | integer | no | Filter query parameters, support field enable, it should be a value as follows: 0:enable, 1:disable, example:0. |
filters.level | query | integer | no | Filter query parameters, support field level, it should be a value as follows: 0:Critical, 1:Error, 2:Warning, 3: Info, example:1. |
filters.category | query | string | no | Filter query parameters, support field category, one or more categories, each category should be a value as follows: 11:Access, 12:Authentication, 13:Roaming, 14:Wireless Network, 15:Wired Network, 16:Link, 17:WAN and Services, 18:Device Status, 19:Security, example: 11 Or 12,13,14 |
// omada_call_operation
{
"operationId": "getAnomalyEventSettingForSiteTemlate",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Get site template anomaly event setting.
The interface requires one of the permissions:
Global Site Template Manager View Only
modifyAnomalyEventSettingForSiteTemplate
PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/anomaly/setting/modify
Modify site template anomaly event setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
Request body — application/json (required) — schema AnomalyEventSettingEditOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
anomalyCode | string | yes | For the values of Anomaly event code, refer to section 5.7.2.1 of the Open API Access |
enable | boolean | no | Whether to detect anomaly events |
level | integer | no | Anomaly event level, it should be a value as follows: 0:Critical, 1:Error, 2:Warning, 3: Info |
params | object | no | For the values of Anomaly event params, refer to section 5.7.2.1 of the Open API Access |
// omada_call_operation
{
"operationId": "modifyAnomalyEventSettingForSiteTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify site template anomaly event setting.
The interface requires one of the permissions:
Global Site Template Manager Modify